Skip to main content
POST
/
api
/
v1
/
numbers
Create Number
curl --request POST \
  --url https://colloqui-web-develop-btoadh.laravel.cloud/api/v1/numbers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "number": "+15551234567",
  "nickname": "b"
}
'
{
  "data": {
    "id": "01kqh44f506237zw5najwrvczf",
    "number": 337449171,
    "nickname": "Support Line",
    "inbound_agent_id": null,
    "outbound_agent_id": null,
    "livekit_trunk_id": "SDR_yv0dl5j6n4ikh",
    "livekit_dispatch_id": "ST_a09ykcm814yu2",
    "workspace_id": "01kqh44f4ms23nw4hm5j4pn078",
    "created_at": "2026-05-01T06:38:04+00:00",
    "updated_at": "2026-05-01T06:38:04+00:00"
  }
}

Documentation Index

Fetch the complete documentation index at: https://cooloquiptyltd.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication

Body

application/json
number
string
required

Valid phone number. Must be at least 1 character. Must not be greater than 12 characters.

Example:

"+15551234567"

nickname
string

Must be at least 1 character. Must not be greater than 255 characters.

Example:

"b"

Response

201 - application/json
data
object